﻿## History of changes for WinPython 3.4.3.7



The following changes were made to WinPython distribution since version 3.4.3.6.



### Python packages



New packages:



  * [astroml](http://pypi.python.org/pypi/astroml) 0.3 (tools for machine learning and data mining in Astronomy)

  * [emcee](http://pypi.python.org/pypi/emcee) 2.1.0 (Kick ass affine-invariant ensemble MCMC sampling)

  * [html5lib](http://pypi.python.org/pypi/html5lib) 0.9999999 (HTML parser based on the WHATWG HTML specification)

  * [lazy-object-proxy](http://pypi.python.org/pypi/lazy-object-proxy) 1.2.1 (A fast and thorough lazy object proxy.)

  * [prompt-toolkit](http://pypi.python.org/pypi/prompt-toolkit) 0.54 (Library for building powerful interactive command lines in Python)

  * [pymc](http://pypi.python.org/pypi/pymc) 2.3.6 (Markov Chain Monte Carlo sampling toolkit.)

  * [qtawesome](http://pypi.python.org/pypi/qtawesome) 0.2.0 (FontAwesome icons in PyQt and PySide applications)

  * [qtpy](http://pypi.python.org/pypi/qtpy) 0.1.2 (Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets.)

  * [wcwidth](http://pypi.python.org/pypi/wcwidth) 0.1.5 (Measures number of Terminal column cells of wide-character codes)

  * [wrapt](http://pypi.python.org/pypi/wrapt) 1.10.5 (A Python module for decorators, wrappers and monkey patching.)



Upgraded packages:



  * [astroid](http://pypi.python.org/pypi/astroid) 1.3.6 → 1.4.1 (Rebuild a new abstract syntax tree from Python's ast (required for pylint))

  * [baresql](http://pypi.python.org/pypi/baresql) 0.7.2 → 0.7.3 (playing SQL directly on Python datas)

  * [bcolz](http://pypi.python.org/pypi/bcolz) 0.11.4 → 0.12.1 (columnar and compressed data containers.)

  * [bqplot](http://pypi.python.org/pypi/bqplot) 0.4.2 → 0.5.0 (Interactive plotting for the Jupyter notebook, using d3.js and ipywidgets.)

  * [certifi](http://pypi.python.org/pypi/certifi) 2015.9.6.1 → 2015.11.20.1 (Python package for providing Mozilla's CA Bundle.)

  * [cffi](http://pypi.python.org/pypi/cffi) 1.3.0 → 1.3.1 (Foreign Function Interface for Python calling C code.)

  * [click](http://pypi.python.org/pypi/click) 5.0 → 6.2 (A simple wrapper around optparse for powerful command line utilities.)

  * [datashape](http://pypi.python.org/pypi/datashape) 0.4.7 → 0.5.0 (A data description language)

  * [decorator](http://pypi.python.org/pypi/decorator) 4.0.4 → 4.0.6 (Better living through Python with decorators)

  * [formlayout](http://formlayout.googlecode.com) 1.0.15 → 1.1.0 (Module for creating form dialogs/widgets to edit various type of parameters without having to write any GUI code)

  * [guidata](http://packages.python.org/guidata) 1.7.0b6 → 1.7.4 (Automatically generated graphical user interfaces for easy data set edition and display)

  * [guiqwt](http://packages.python.org/guiqwt) 3.0.0b7 → 3.0.1 (Efficient curve/image plotting and other GUI tools for scientific data processing software development)

  * [holoviews](http://pypi.python.org/pypi/holoviews) 1.3.2 → 1.4.0 (Composable, declarative data structures for building complex visualizations easily.)

  * [ipykernel](http://pypi.python.org/pypi/ipykernel) 4.1.1 → 4.2.1 (IPython Kernel for Jupyter)

  * [ipyparallel](http://pypi.python.org/pypi/ipyparallel) 4.0.2 → 4.1.0 (Interactive Parallel Computing with IPython)

  * [ipython](http://pypi.python.org/pypi/ipython) 4.0.0 → 4.0.1 (Enhanced Python shell)

  * [ipywidgets](http://pypi.python.org/pypi/ipywidgets) 4.1.0 → 4.1.1 (IPython HTML widgets for Jupyter)

  * [joblib](http://pypi.python.org/pypi/joblib) 0.9.2 → 0.9.3 (Lightweight pipelining: using Python functions as pipeline jobs.)

  * [keras](http://pypi.python.org/pypi/keras) 0.2.0 → 0.3.0 (Theano-based Deep Learning library)

  * [lmfit](http://pypi.python.org/pypi/lmfit) 0.9.1 → 0.9.2 (Least-Squares Minimization with Bounds and Constraints)

  * [lxml](http://pypi.python.org/pypi/lxml) 3.4.4 → 3.5.0 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [markdown](http://pypi.python.org/pypi/markdown) 2.6.2 → 2.6.5 (Python implementation of Markdown.)

  * [matplotlib](http://pypi.python.org/pypi/matplotlib) 1.5.0rc3 → 1.5.0 (2D plotting library (embeddable in GUIs created with PyQt))

  * [nbconvert](http://pypi.python.org/pypi/nbconvert) 4.0.0 → 4.1.0 (Converting Jupyter Notebooks)

  * [numexpr](http://pypi.python.org/pypi/numexpr) 2.4.4 → 2.4.6 (Fast evaluation of array expressions elementwise by using a vector-based virtual machine)

  * [pandas](http://pypi.python.org/pypi/pandas) 0.17.0 → 0.17.1 (Powerful data structures for data analysis, time series and statistics)

  * [patsy](http://pypi.python.org/pypi/patsy) 0.4.0 → 0.4.1 (Describing statistical models using symbolic formulas)

  * [psutil](http://code.google.com/p/psutil) 3.2.2 → 3.3.0 (Provides an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way)

  * [py](http://pypi.python.org/pypi/py) 1.4.30 → 1.4.31 (library with cross-python path, ini-parsing, io, code, log facilities)

  * [pylint](http://www.logilab.org/project/pylint) 1.4.3 → 1.5.1 (Logilab code analysis module: analyzes Python source code looking for bugs and signs of poor quality)

  * [pymongo](http://pypi.python.org/pypi/pymongo) 3.0.3 → 3.1.1 (Python driver for MongoDB <http://www.mongodb.org>)

  * [pyparsing](http://pyparsing.wikispaces.com/) 2.0.3 → 2.0.6 (A Python Parsing Module)

  * [pytest](http://pypi.python.org/pypi/pytest) 2.8.2 → 2.8.4 (pytest: simple powerful testing with Python)

  * [pythonqwt](http://pypi.python.org/pypi/pythonqwt) 0.4.0 → 0.5.3 (Qt plotting widgets for Python)

  * [pytz](http://pypi.python.org/pypi/pytz) 2015.6 → 2015.7 (World Timezone Definitions for Python)

  * [pyzmq](http://pypi.python.org/pypi/pyzmq) 14.7.0 → 15.1.0 (Lightweight and super-fast messaging based on ZeroMQ library (required for IPython Qt console))

  * [qtconsole](http://pypi.python.org/pypi/qtconsole) 4.1.0 → 4.1.1 (Jupyter Qt console)

  * [redis](http://pypi.python.org/pypi/redis) 2.10.3 → 2.10.5 (Python client for Redis key-value store)

  * [requests-toolbelt](http://pypi.python.org/pypi/requests-toolbelt) 0.4.0 → 0.5.0 (Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.)

  * [rpy2](http://pypi.python.org/pypi/rpy2) 2.7.2 → 2.7.4 (Python interface to the R language (embedded R))

  * [rx](http://pypi.python.org/pypi/rx) 1.2.3 → 1.2.4 (Reactive Extensions (Rx) for Python)

  * [scikit-learn](http://pypi.python.org/pypi/scikit-learn) 0.16.1 → 0.17 (A set of Python modules for machine learning and data mining)

  * [setuptools](http://pypi.python.org/pypi/setuptools) 18.4 → 18.7.1 (Download, build, install, upgrade, and uninstall Python packages - easily)

  * [simplejson](http://pypi.python.org/pypi/simplejson) 3.8.0 → 3.8.1 (Simple, fast, extensible JSON (JavaScript Object Notation) encoder/decoder)

  * [sphinx](http://pypi.python.org/pypi/sphinx) 1.3.1 → 1.3.3 (Tool for generating documentation which uses reStructuredText as its markup language)

  * [sqlparse](http://pypi.python.org/pypi/sqlparse) 0.1.16 → 0.1.18 (Non-validating SQL parser)

  * [tornado](http://pypi.python.org/pypi/tornado) 4.2.1 → 4.3 (Scalable, non-blocking web server and tools (required for IPython notebook))

  * [twine](http://pypi.python.org/pypi/twine) 1.6.3 → 1.6.4 (Collection of utilities for interacting with PyPI)

  * [werkzeug](http://pypi.python.org/pypi/werkzeug) 0.10.4 → 0.11.2 (The Swiss Army knife of Python web development)

  * [winpython](http://winpython.github.io/) 1.2 → 1.3 (WinPython distribution tools, including WPPM (package manager))



Removed packages:



  * [logilab-common](http://pypi.python.org/pypi/logilab-common) 1.1.0 (Collection of low-level Python packages and modules used by Logilab projects (required for pylint))



* * *

